--
--
--

HKD302 = {};

function HKD302.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Trailer, specializations);
end;

function HKD302:load(xmlFile)

end;	
	

function HKD302:delete()
end;

function HKD302:mouseEvent(posX, posY, isDown, isUp, button)
end;

function HKD302:keyEvent(unicode, sym, modifier, isDown)
end;

function HKD302:update(dt)
	for _, part in pairs(self.movingParts) do
		part.isDirty = true;
	end;	
end;

function HKD302:draw()
end;

function HKD302:onAttach()
	setJointRotationLimit(self.componentJoints[2].jointIndex, 0, true, Utils.degToRad(-65), Utils.degToRad(65));	
end;

function HKD302:onDetach()
	setJointRotationLimit(self.componentJoints[2].jointIndex, 0, true, Utils.degToRad(-1), Utils.degToRad(1));	
end;

function HKD302:onLeave()
end;

function HKD302:onDeactivate()
end;

function HKD302:onDeactivateSounds()
end;


